package intrinsic.mx.effects.effectClasses;

public class TweenEffectInstance extends intrinsic.mx.effects.EffectInstance {

	/** Accessors */
	public double playheadTime;

	/** Variables */
	public intrinsic.mx.effects.Tween tween;
	public intrinsic.Function easingFunction;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public TweenEffectInstance() {
}

public TweenEffectInstance(Object arg0) {
}


/** Static Methods */

/** Methods */
public native void onTweenUpdate(Object arg0);
public native void reverse();
public native void onTweenEnd(Object arg0);
public native void stop();
public native void seek(double arg0);
public native void resume();
public native void end();
public native void pause();

}
